TypeScript
import { Configuration, ShipmentsApi } from "@zippendo/sdk"
const api = new ShipmentsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.deleteShipment({ orgId: "...", shipmentId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.ShipmentsApi(client).delete_shipment("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\ShipmentsApi(new GuzzleHttp\Client(), $config);
$result = $api->deleteShipment("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.ShipmentsAPI.DeleteShipment(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::ShipmentsApi.new.delete_shipment("...", "...")curl --request DELETE \
--url https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId}")
.header("Authorization", "Bearer <token>")
.asString();{
"message": "Operation completed successfully"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Shipments
Delete shipment
Delete a shipment. Only shipments in pending status can be deleted.
DELETE
/
orgs
/
{orgId}
/
shipments
/
{shipmentId}
TypeScript
import { Configuration, ShipmentsApi } from "@zippendo/sdk"
const api = new ShipmentsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.deleteShipment({ orgId: "...", shipmentId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.ShipmentsApi(client).delete_shipment("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\ShipmentsApi(new GuzzleHttp\Client(), $config);
$result = $api->deleteShipment("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.ShipmentsAPI.DeleteShipment(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::ShipmentsApi.new.delete_shipment("...", "...")curl --request DELETE \
--url https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId}")
.header("Authorization", "Bearer <token>")
.asString();{
"message": "Operation completed successfully"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Path Parameters
Organization identifier.
Example:
"org_1a2b3c4d"
Shipment identifier.
Example:
"shp_4d9e7a2f"
Response
Default Response
Result message
Example:
"Operation completed successfully"
Was this page helpful?
⌘I